$(function() {
	countdown.init();});

var countdown = {};
countdown.interval = '';
countdown.days = 0;
countdown.hours = 0;
countdown.minutes = 0;
countdown.seconds = 0;

countdown.init = function() {
	
		countdown.renderHtml();
		
}

countdown.renderHtml = function() {
	var html = '' +
		'<div class="countdown-timer">' +
			'<div class="days{days-empty}">{days}</div>' +
			'<div class="divider{days-empty}">:</div>' +
			'<div class="hours{hours-empty}">{hours}</div>' +
			'<div class="divider{hours-empty}">:</div>' +
			'<div class="minutes">{minutes}</div>' +
			'<div class="divider">:</div>' +
			'<div class="seconds">{seconds}</div>' +
		'</div>' +
	'';
	
	//pad seconds 
	var seconds = countdown.seconds.toString();
	if (seconds.length == 1) {
		seconds = '0' + seconds;
	}
	
	//pad minutes 
	var minutes = countdown.minutes.toString();
	if (minutes.length == 1) {
		minutes = '0' + minutes;
	}
	
	html = html.replace("{days}", countdown.days)
			   .replace(/{days-empty}/g, ((countdown.days==0) ? ' empty' : ''))
			   .replace("{hours}", countdown.hours)
			   .replace(/{hours-empty}/g, ((countdown.hours==0) ? ' empty' : ''))
			   .replace("{minutes}", minutes)
			   .replace("{seconds}", seconds);
			   
	$('.eyn_countdown').html(html);
	
	var visible = $('.eyn_countdown').css('display');
	if (visible=='none') {
		$('.eyn_countdown').slideDown(200);
	}
}

countdown.decreaseOneSecond = function() {
	
	//seconds 
	countdown.seconds = (countdown.seconds - 1);
	if (countdown.seconds < 0) {
		countdown.seconds = 59;
		
		countdown.minutes = (countdown.minutes - 1);
		if (countdown.minutes < 0) {
			countdown.minutes = 59;
			
			countdown.hours = (countdown.hours - 1);
			if (countdown.hours < 0) {
				countdown.hours = 23;
				
				countdown.days = (countdown.days - 1);
				if (countdown.days < 0) {
					countdown.seconds = 0;
					countdown.minutes = 0;
					countdown.hours = 0;
					countdown.days = 0;
					
					window.location.reload();					
				}
			}
		}
	}
	
}